package com.yonge.cooleshow.bbs.dto.search;

import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @Author: liweifan
 * @Data: 2022-06-09 17:27:11
 */
@ApiModel(value = "BbsPrivateMessageSearch对象", description = "私信查询对象")
public class BbsPrivateMessageSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "当前用户id",hidden = true)
	private Long userId;

	@ApiModelProperty(value = "私信对象userid",required = true)
	@NotNull(message = "私信对象不能为空")
	private Long receiverUserId;

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Long getReceiverUserId() {
		return receiverUserId;
	}

	public void setReceiverUserId(Long receiverUserId) {
		this.receiverUserId = receiverUserId;
	}
}